Loading...
Searching...
No Matches
BALL::EnergyProcessor Class Reference
Molecular Modeling » Energy evaluation (non-MM) » Miscellaneous

`#include <BALL/ENERGY/energyProcessor.h>`

Inheritance diagram for BALL::EnergyProcessor:

## Public Member Functions

Constructors and Destructors
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
Assignment
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual void | clear ()
Processor related methods
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
Accessors
double | getEnergy () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | finish ()

## Predicates

const AtomContainer * | fragment_
double | energy_
bool | valid_
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Processor for energy calculations. With this class we provide an interface to different (free) energy calculations.

Definition at line 30 of file energyProcessor.h.

## Constructor & Destructor Documentation

## EnergyProcessor() [1/2]

BALL::EnergyProcessor::EnergyProcessor | ( |  | ) |

Default constructor

## EnergyProcessor() [2/2]

BALL::EnergyProcessor::EnergyProcessor | ( | const EnergyProcessor & | proc | ) |

Copy constructor

## ~EnergyProcessor()

virtual BALL::EnergyProcessor::~EnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::EnergyProcessor::clear | ( |  | ) |

virtual

Clear method.

Reimplemented in BALL::ComposedEnergyProcessor, BALL::Pair6_12InteractionEnergyProcessor, BALL::PairExpInteractionEnergyProcessor, BALL::PCMCavFreeEnergyProcessor, BALL::PierottiCavFreeEnergyProcessor, BALL::ReissCavFreeEnergyProcessor, and BALL::UhligCavFreeEnergyProcessor.

## getEnergy()

double BALL::EnergyProcessor::getEnergy | ( |  | ) | const

Return the computed energy

## isValid()

bool BALL::EnergyProcessor::isValid | ( |  | ) | const

Validity.

## operator()()

virtual Processor::Result BALL::EnergyProcessor::operator() | ( | AtomContainer & | fragment | ) |

virtual

Operator-function. This function only stores the AtomContainer.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

const EnergyProcessor & BALL::EnergyProcessor::operator= | ( | const EnergyProcessor & | proc | ) |

Assignment operator.

## operator==()

bool BALL::EnergyProcessor::operator== | ( | const EnergyProcessor & | proc | ) | const

Equality operator.

## start()

virtual bool BALL::EnergyProcessor::start | ( |  | ) |

virtual

Start-function.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## Member Data Documentation

## energy_

double BALL::EnergyProcessor::energy_

protected

Definition at line 110 of file energyProcessor.h.

## fragment_

const AtomContainer* BALL::EnergyProcessor::fragment_

protected

Definition at line 107 of file energyProcessor.h.

## valid_

bool BALL::EnergyProcessor::valid_

protected

Definition at line 113 of file energyProcessor.h.